﻿-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- CombatIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name CombatIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.CombatIcon", version) then
	return
end

class "CombatIcon"
	inherit "Texture"
	extend "IFCombat"
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)		
		self.Visible = self.InCombat
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function CombatIcon(name, parent)
		local icon = Super(name, parent)

		icon.TexturePath = [[Interface\CharacterFrame\UI-StateIcon]]
		icon:SetTexCoord(.5, 1, 0, .49)
		
		return icon
	end
endclass "CombatIcon"