-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- HealthBar
-- <br><br>inherit <a href="..\Base\StatusBar.html">StatusBar</a> For all methods, properties and scriptTypes
-- @name HealthBar
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.HealthBar", version) then
	return
end

class "HealthBar"
	inherit "StatusBar"
	extend "IFHealth"

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)
		self.Value = self.HealthPct
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function HealthBar(name, parent)
		local bar = Super(name, parent)

		bar.StatusBarTexturePath = [[Interface\TargetingFrame\UI-StatusBar]]
		bar.MinMaxValue = MinMax(1, 100)
		bar.StatusBarColor = ColorType(0, 1, 0)
		
		return bar
	end
endclass "HealthBar"