﻿-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- LeaderIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name LeaderIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.LeaderIcon", version) then
	return
end

class "LeaderIcon"
	inherit "Texture"
	extend "IFParty" "IFLeader"

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)
		self.Visible = (self.InParty or self.InRaid) and self.IsPartyLeader
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function LeaderIcon(name, parent)
		local icon = Super(name, parent)
		
		icon.TexturePath = [[Interface\GroupFrame\UI-Group-LeaderIcon]]
		
		return icon
	end
endclass "LeaderIcon"