﻿-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- QuestBossIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name QuestBossIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.QuestBossIcon", version) then
	return
end

class "QuestBossIcon"
	inherit "Texture"
	extend "IFClassification"

	local UnitIsQuestBoss = UnitIsQuestBoss

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)		
		self.Visible = UnitIsQuestBoss(self.Unit)
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function QuestBossIcon(name, parent)
		local icon = Super(name, parent)
		
		icon.TexturePath = [[Interface\TargetingFrame\PortraitQuestBadge]]
		
		return icon
	end
endclass "QuestBossIcon"