﻿-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- RestingIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name RestingIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.RestingIcon", version) then
	return
end

class "RestingIcon"
	inherit "Texture"
	extend "IFResting"

	local IsResting = IsResting

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)
		self.Visible = self.Unit:lower() == "player" and IsResting()
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function RestingIcon(name, parent)
		local icon = Super(name, parent)
		
		icon.TexturePath = [[Interface\CharacterFrame\UI-StateIcon]]
		icon:SetTexCoord(0, .5, 0, .421875)
		
		return icon
	end
endclass "RestingIcon"