-- Author      : Kurapica
-- Create Date : 2012/06/24

----------------------------------------------------------------------------------------------------------------------------------------
--- Unit3DPortrait
-- <br><br>inherit <a href="..\Base\Frame.html">Frame</a> For all methods, properties and scriptTypes
-- @name Unit3DPortrait
----------------------------------------------------------------------------------------------------------------------------------------

local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.Unit3DPortrait", version) then
	return
end

class "Unit3DPortrait"
	inherit "PlayerModel"
	extend "IFPortrait"

	------------------------------------------------------
	-- Enum
	------------------------------------------------------

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	------------------------------------
	--- Order the widget to refresh self
	-- @name Refresh
	-- @class function
	------------------------------------
	function Refresh(self)
		if self.Existed and self.IsConnected and self.IsVisible then
			self:SetUnit(self.Unit)
			self:SetCamera(0)
		else
			self:SetModelScale(4.25)
			self:SetPosition(0, 0, -0.7)
			self:SetModel"Interface\\Buttons\\talktomequestionmark.mdx"
		end		
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function Unit3DPortrait(name, parent)
		local model = Super(name, parent)		

		return model
	end
endclass "Unit3DPortrait"