-- Author      : Kurapica
-- Create Date : 2012/07/12
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- IFCombat
-- @type Interface
-- @name IFCombat
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.IFCombat", version) then
	return
end

pcall = pcall
errorhandler = errorhandler

_All = "all"
_IFCombatUnitList = _IFCombatUnitList or UnitList(_Name)

function _IFCombatUnitList:OnUnitListChanged()
	self:RegisterEvent("PLAYER_REGEN_DISABLED")
	self:RegisterEvent("PLAYER_REGEN_ENABLED")
	
	self.OnUnitListChanged = nil
end

function _IFCombatUnitList:ParseEvent(event)
	self:EachK(_All, "Refresh")
end

interface "IFCombat"
	extend "IFUnitElement"
	
	_IFCombatUnitList = _IFCombatUnitList
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Dispose(self)
		_IFCombatUnitList[self] = nil
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------
	
	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------
	
	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function IFCombat(self)
		_IFCombatUnitList[self] = _All
	end
endinterface "IFCombat"