-- Author      : Kurapica
-- Create Date : 2012/07/12
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- IFLeader
-- @type Interface
-- @name IFLeader
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.IFLeader", version) then
	return
end

pcall = pcall
errorhandler = errorhandler

_All = "all"
_IFLeaderUnitList = _IFLeaderUnitList or UnitList(_Name)

function _IFLeaderUnitList:OnUnitListChanged()
	self:RegisterEvent("PARTY_LEADER_CHANGED")
	
	self.OnUnitListChanged = nil
end

function _IFLeaderUnitList:ParseEvent(event)
	self:EachK(_All, "Refresh")
end

interface "IFLeader"
	extend "IFUnitElement"
	
	_IFLeaderUnitList = _IFLeaderUnitList
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Dispose(self)
		_IFLeaderUnitList[self] = nil
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------
	
	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------
	
	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function IFLeader(self)
		_IFLeaderUnitList[self] = _All
	end
endinterface "IFLeader"