-- Author      : Kurapica
-- Create Date : 2012/07/12
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- IFResurrect
-- @type Interface
-- @name IFResurrect
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.IFResurrect", version) then
	return
end

pcall = pcall
errorhandler = errorhandler

_All = "all"
_IFResurrectUnitList = _IFResurrectUnitList or UnitList(_Name)

function _IFResurrectUnitList:OnUnitListChanged()
	self:RegisterEvent("INCOMING_RESURRECT_CHANGED")
	
	self.OnUnitListChanged = nil
end

function _IFResurrectUnitList:ParseEvent(event)
	self:EachK(_All, "Refresh")
end

interface "IFResurrect"
	extend "IFUnitElement"
	
	_IFResurrectUnitList = _IFResurrectUnitList
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Dispose(self)
		_IFResurrectUnitList[self] = nil
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------
	
	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------
	
	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function IFResurrect(self)
		_IFResurrectUnitList[self] = _All
	end
endinterface "IFResurrect"