﻿-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- AssistantIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name AssistantIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.AssistantIcon", version) then
	return
end

class "AssistantIcon"
	inherit "Texture"
	extend "IFParty"

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)
		self.Visible = self.InRaid and self.IsRaidOfficer and not self.IsPartyLeader
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function AssistantIcon(name, parent)
		local icon = Super(name, parent)
		
		icon.TexturePath = [[Interface\GroupFrame\UI-Group-AssistantIcon]]
		
		return icon
	end
endclass "AssistantIcon"