﻿-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- MainTankIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name MainTankIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.MainTankIcon", version) then
	return
end

class "MainTankIcon"
	inherit "Texture"
	extend "IFParty" "IFRaidRoster"

	local GetRaidRosterInfo = GetRaidRosterInfo
	local UnitHasVehicleUI = UnitHasVehicleUI
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)		
		self.Visible = self.InRaid and select(10, GetRaidRosterInfo(self.InRaid)) == "MAINTANK" and not UnitHasVehicleUI(self.Unit)
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function MainTankIcon(name, parent)
		local icon = Super(name, parent)
		
		icon.TexturePath = [[Interface\GroupFrame\UI-Group-MasterLooter]]
		
		return icon
	end
endclass "MainTankIcon"