-- Author      : Kurapica
-- Create Date : 2012/06/25
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- ResurrectIcon
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name ResurrectIcon
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.ResurrectIcon", version) then
	return
end

class "ResurrectIcon"
	inherit "Texture"
	extend "IFResurrect"

	local UnitHasIncomingResurrection = UnitHasIncomingResurrection

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Refresh(self)		
		self.Visible = UnitHasIncomingResurrection(self.Unit)
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function ResurrectIcon(name, parent)
		local icon = Super(name, parent)
		
		icon.TexturePath = [[Interface\RaidFrame\Raid-Icon-Rez]]
		
		return icon
	end
endclass "ResurrectIcon"