-- Author      : Kurapica
-- Create Date : 2012/06/24

----------------------------------------------------------------------------------------------------------------------------------------
--- Unit2DPortrait
-- <br><br>inherit <a href="..\Base\Texture.html">Texture</a> For all methods, properties and scriptTypes
-- @name Unit2DPortrait
----------------------------------------------------------------------------------------------------------------------------------------

local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.Unit2DPortrait", version) then
	return
end

class "Unit2DPortrait"
	inherit "Texture"
	extend "IFPortrait"

	------------------------------------------------------
	-- Enum
	------------------------------------------------------

	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	------------------------------------
	--- Order the widget to refresh self
	-- @name Refresh
	-- @class function
	------------------------------------
	function Refresh(self)
		self.PortraitUnit = self.Unit
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------

	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------

	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function Unit2DPortrait(name, parent)
		local port = Super(name, parent)

		port:SetTexCoord(0.2, 0.8, 0.0666, 0.9)
		
		return port
	end
endclass "Unit2DPortrait"