-- Author      : Kurapica
-- Create Date : 2012/07/12
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- IFPartyLoot
-- @type Interface
-- @name IFPartyLoot
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.IFPartyLoot", version) then
	return
end

pcall = pcall
errorhandler = errorhandler

_All = "all"
_IFPartyLootUnitList = _IFPartyLootUnitList or UnitList(_Name)

function _IFPartyLootUnitList:OnUnitListChanged()
	self:RegisterEvent("PARTY_LOOT_METHOD_CHANGED")
	
	self.OnUnitListChanged = nil
end

function _IFPartyLootUnitList:ParseEvent(event)
	self:EachK(_All, "Refresh")
end

interface "IFPartyLoot"
	extend "IFUnitElement"
	
	_IFPartyLootUnitList = _IFPartyLootUnitList
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Dispose(self)
		_IFPartyLootUnitList[self] = nil
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------
	
	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------
	
	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function IFPartyLoot(self)
		_IFPartyLootUnitList[self] = _All
	end
endinterface "IFPartyLoot"