-- Author      : Kurapica
-- Create Date : 2012/07/12
-- Change Log  :

----------------------------------------------------------------------------------------------------------------------------------------
--- IFPlayerRole
-- @type Interface
-- @name IFPlayerRole
----------------------------------------------------------------------------------------------------------------------------------------

-- Check Version
local version = 1
if not IGAS:NewAddon("IGAS.Widget.Unit.IFPlayerRole", version) then
	return
end

pcall = pcall
errorhandler = errorhandler

_All = "all"
_IFPlayerRoleUnitList = _IFPlayerRoleUnitList or UnitList(_Name)

function _IFPlayerRoleUnitList:OnUnitListChanged()
	self:RegisterEvent("PLAYER_ROLES_ASSIGNED")
	
	self.OnUnitListChanged = nil
end

function _IFPlayerRoleUnitList:ParseEvent(event)
	self:EachK(_All, "Refresh")
end

interface "IFPlayerRole"
	extend "IFUnitElement"
	
	_IFPlayerRoleUnitList = _IFPlayerRoleUnitList
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------

	------------------------------------------------------
	-- Method
	------------------------------------------------------
	function Dispose(self)
		_IFPlayerRoleUnitList[self] = nil
	end

	------------------------------------------------------
	-- Property
	------------------------------------------------------
	
	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------
	
	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function IFPlayerRole(self)
		_IFPlayerRoleUnitList[self] = _All
	end
endinterface "IFPlayerRole"